import { html as a } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as n } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, h = (l, e, o, r) => {
  for (var t = r > 1 ? void 0 : r ? v(e, o) : e, i = l.length - 1, p; i >= 0; i--)
    (p = l[i]) && (t = (r ? p(e, o, t) : p(t)) || t);
  return r && t && m(e, o, t), t;
};
let s = class extends n {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--trash", this.class = "c-pieIcon c-pieIcon--trash", this.name = "IconTrash";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--trash"><path d="M9.864 1.219H6.136L5.49 2.53h5.022L9.864 1.22Z"></path><path d="M1.875 3.844v1.312h.962l.788 8.243a1.531 1.531 0 0 0 1.522 1.382h5.723a1.53 1.53 0 0 0 1.505-1.382l.779-8.243h.971V3.844H1.875Zm9.205 9.406a.228.228 0 0 1-.219.201H5.14a.228.228 0 0 1-.219-.201l-.77-8.094h7.7l-.77 8.094Z"></path></svg>`;
  }
};
h([
  c({ type: String, reflect: !0 })
], s.prototype, "size", 2);
h([
  c({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = h([
  f("icon-trash")
], s);
export {
  s as IconTrash
};
